	$(function() {
		var sWidth = $("#focus").width(); //获取焦点图的宽度（显示面积）
		var len = $("#focus ul li").length; //获取焦点图个数
		var index = 0;
		var picTimer;
		
		//以下代码添加数字按钮和按钮后的半透明条，还有上一页、下一页两个按钮
		var btn = "<ul>";
		var tempu="";
		for(var h=0; h < len; h++){
			tempu=$("#focus ul li a img").eq(h).attr("ym");
			if(tempu=="")
			{
				tempu=$("#focus ul li a img").eq(h).attr("src");
			}
			btn += "<li><i></i><a target=\"_blank\" href=\""+$("#focus ul li a").eq(h).attr("href")+"\" title=\""+$("#focus ul li a img").eq(h).attr("ya")+"\"><img src=\""+tempu+"\"></a></li>";
		}
		btn += "</ul>";
		$(".control .btns").html(btn);
		showPics(0);

		//为小按钮添加鼠标滑入事件，以显示相应的内容
		$(".control .btns li").mouseenter(function() {
			index = $(".control .btns li").index(this);
			showPics(index);
		}).eq(0).trigger("mouseenter");

		//上一页按钮
		$(".control .next").click(function() {
			index -= 1;
			if(index == -1) {index = len - 1;}
			showPics(index);
		});

		//下一页按钮
		$(".control .prev").click(function() {
			index += 1;
			if(index == len) {index = 0;}
			showPics(index);
		});

		//本例为左右滚动，即所有li元素都是在同一排向左浮动，所以这里需要计算出外围ul元素的宽度
		$("#focus ul").css("width",sWidth * (len));
		
		//鼠标滑上焦点图时停止自动播放，滑出时开始自动播放
		$(".focusTop").hover(function() {
			clearInterval(picTimer);
		},function() {
			picTimer = setInterval(function() {
				showPics(index);
				index++;
				if(index == len) {index = 0;}
			},4000); //此4000代表自动播放的间隔，单位：毫秒
		}).trigger("mouseleave");
		
		function showPics(index) { //普通切换
			var nowLeft = -index*sWidth;
			var h=index;
			$("#focus ul").stop(true,false).animate({"left":nowLeft},300);
			$(".control .btns li").stop(true,false).removeClass("current").eq(index).stop(true,false).addClass("current");
			
			var pUrl=$("#focus ul li a").eq(h).attr("href");
			var ya=$("#focus ul li a img").eq(h).attr("ya");
			var ym=$("#focus ul li a img").eq(h).attr("ym");
			var yt=$("#focus ul li a img").eq(h).attr("yt");
			var yl=$("#focus ul li a img").eq(h).attr("yl");
			var yd=$("#focus ul li a img").eq(h).attr("yd");
			var yy=$("#focus ul li a img").eq(h).attr("yy");
			var ys=$("#focus ul li a img").eq(h).attr("alt");
			var yq=$("#focus ul li a img").eq(h).attr("yq");
			var introduce=$("#focus ul li a span").eq(h).text();
			
			$(".info_list ul li").eq(1).html("<a target=\"_blank\" href=\""+pUrl+"\">"+ya+"</a>");
			if(!isNaN(yt)>0)
			{
				$(".info_list ul li").eq(2).text("更新：第"+yt+"集");
			}
			else{
				if(yt=="电影")
				{
					yt="正式版";
				}
				$(".info_list ul li").eq(2).text("状态："+yt+"");
			}
			$(".info_list ul li").eq(3).text(""+ys+"");
			$(".info_list ul li").eq(4).html("类型：<i>"+yl+"</i>");
			$(".info_list ul li").eq(5).html("演员：<i>"+yy+"</i>");
			
			$(".info_list ul .introduce").html(""+introduce+"...");
			$(".info_list ul li").eq(0).removeClass();
			if(parseInt(yq)>0&&parseInt(yq)<3){
				$(".info_list ul li").eq(0).addClass("gaoqing"+yq);
			}
			$(".info_list .play").html("<a target=\"_blank\" href=\""+pUrl+"\">马上观看</a>");
		}
	});